local Base=require 'game/base'
local Mob=require 'game/Mob'

local M=class(Base, function(self)
  Base.init(self)
end)

function M:add(x,y, speed)
  local m=Mob(x, y, speed)
  Base.add(self, m) --Mob(x, y, speed))
end

function M:addRandom()
  print('Adding random mob')
  local x=math.random(Game.Level.width)
  local y=750
  local speed=90+math.random(20)
  self:add(x, y, speed)
end

function M:remove(index)
	Base.remove(self, index)
end

function M:__tostring()
  return '<Mobs: '..#self._children..'>'
end

return M
