local Base=require 'game/base'
local Player=require 'game/Player'
local Level=require 'game/Level'
local HealthBar=require 'game/HealthBar'

local M=class(Base, function(self)
  Base.init(self)
  self.Player=Player()
  self.Level=Level(1, "images/level.png")
  self.HealthBar=HealthBar()
  self.Player:setCurrentLevel(self.Level)

  self:add(self.Level)
  self:add(self.HealthBar)  
end)
  
function M:__tostring()
  return '<Game>'
end

return M
