local Base=require 'game/base'
local hundred = love.graphics.newImage("images/hp/hundred.png")
local seventyfive = love.graphics.newImage("images/hp/seventyfive.png")
local fifty = love.graphics.newImage("images/hp/fifty.png")
local twentyfive = love.graphics.newImage("images/hp/twentyfive.png")

local M=class(Base, function(self)
  Base.init(self)
end)


function M:draw()
  local player=Game.Player
  if player.health>75 then love.graphics.draw(hundred,25,542) end
	if player.health>50 and player.health<75 then love.graphics.draw(seventyfive,25,542) end
	if player.health>25 and player.health<50 then love.graphics.draw(fifty,25,542) end
	if player.health<25 then love.graphics.draw(twentyfive,25,542) end

	-- HP-bar
	love.graphics.setColor(255,155+player.health,155+player.health,255)
	love.graphics.rectangle("fill", 110, 560, player.health, 20)  
end

function M:__tostring()
  return '<HealthBar>'
end

return M
