require "include/AnAL"
require "include/vector"
require "include/camera"
require "include/TEsound"
require "include/class"

DEBUG=false

Game=require 'game/Game'()

math.randomseed(love.timer.getDelta()*1128734+os.time())
math.randomseed(love.timer.getDelta()*1128734+os.time())
math.random(200)math.random(200)

function love.load()
	-- Ljudet
	TEsound.playLooping("audio/music.mp3", "music")
	TEsound.tagVolume("music",.7)
	-- Variabler
  Game:load()
  cam = Camera(vector(love.graphics.getWidth()/2,love.graphics.getHeight()/2), 1, 0)
	
	
end
function love.keypressed(k)
    if k == 'escape' then
        love.event.push('q')
    end
    if k=='d' then DEBUG=not DEBUG end
    Game:keypressed(k)
end


function love.update(dt)
  Game:update(dt)
	TEsound.cleanup()
	--cameraUpdate()	
end

function love.draw()
	Game:draw()
end

